﻿<!DOCTYPE html>
<html>
<head>
    <meta charset="utf-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>@ViewBag.Title - Final task</title>
    @Styles.Render("~/Content/css")
    @Scripts.Render("~/bundles/modernizr")
    @Scripts.Render("~/bundles/jquery")
    @Scripts.Render("~/Scripts/jquery.unobtrusive-ajax.min.js")
    @Scripts.Render("~/bundles/bootstrap")
</head>
<body>
    <div class="navbar navbar-default navbar-fixed-top">
        <div class="container">
            <div class="navbar-header">
                <button type="button" class="navbar-toggle" data-toggle="collapse" data-target=".navbar-collapse">
                </button>
                @Html.ActionLink("Buy a ticket", "Index", "Main", new { area = "" }, new { @class = "navbar-brand" })
            </div>
            <div class="navbar-collapse collapse">
               <ul class="nav navbar-nav navbar-right">
                    
                    @if (User.Identity.IsAuthenticated)
                    {
                        <li><a href="#" class="navbar-link">Welcome, @User.Identity.Name!</a></li>
                        if (User.IsInRole("admin"))
                        {
                            <li><a href="@Url.Action("Index", "Admin")" class="navbar-link">Admin panel</a></li>
                        }
                        if (!User.IsInRole("special"))
                        {
                            <li><a href="@Url.Action("Get", "Discount")" class="navbar-link">Get discount</a></li>
                        }
                        <li><a href="@Url.Action("Tickets", "Ticket")" class="navbar-link">Your tickets</a></li>
                        <li>@Html.ActionLink("Logout", "Logout", "Account")</li>
                    }
                    else
                    {
                        <li>@Html.ActionLink("Login", "Login", "Account")</li>
                        <li>@Html.ActionLink("Register", "Register", "Account")</li>
                    }

                </ul>
            </div>
        </div>
    </div>
<div class="container body-content">
    @RenderBody()
    <hr />
    <footer>
        <p>&copy; @DateTime.Now.Year - Final task by Kirill Prihodko.</p>
    </footer>
</div>

    @RenderSection("scripts", required: false)
</body>
</html>
